Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lpsolve
Interface MsgListener

public interface MsgListener

Classes that implement this interface may be passed to the `putMsgfunc` method of the `LpSolve` class.

Author:
  Juergen Ebert
See Also:
  `LpSolve.putMsgfunc(lpsolve.MsgListener, java.lang.Object, int)`, "lp_solve documentation for 'put_msgfunc'"

Method Summary
`void` | `msgfunc(LpSolve problem, java.lang.Object userhandle, int msg)` This routine is called when a situation specified in the mask parameter of putMsgfunc occurs.

Method Detail

### msgfunc

    public void msgfunc(LpSolve problem,
                        java.lang.Object userhandle,
                        int msg)
                 throws LpSolveException

  This routine is called when a situation specified in the mask parameter of putMsgfunc occurs. Note that this routine is called while solving the model. This can be usefull to follow the solving progress.

  Parameters:
    `problem` - the problem this Listener was defined for
    `userhandle` - the userhandle object that was passed to `putMsgfunc`
    `msg` - event code why this method was called
  Throws:
    `LpSolveException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 - Juergen Ebert